gtk-0.12.5.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Layout.VButtonBox

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A container for arranging buttons vertically

Synopsis

- data VButtonBox
- class ButtonBoxClass o => VButtonBoxClass o
- castToVButtonBox :: GObjectClass obj => obj -> VButtonBox
- gTypeVButtonBox :: GType
- toVButtonBox :: VButtonBoxClass o => o -> VButtonBox
- vButtonBoxNew :: IO VButtonBox

# Detail

A button box should be used to provide a consistent layout of buttons throughout your application. The layout/spacing can be altered by the programmer, or if desired, by the user to alter the 'feel' of a program to a small degree.

A `VButtonBox` is created with `vButtonBoxNew`. Buttons are packed into a button box the same way widgets are added to any other container, using `containerAdd`. You can also use `boxPackStart` or `boxPackEnd`, but for button boxes both these functions work just like `containerAdd`, ie., they pack the button in a way that depends on the current layout style and on whether the button has had `buttonBoxSetChildSecondary` called on it.

The spacing between buttons can be set with `boxSetSpacing`. The arrangement and layout of the buttons can be changed with `buttonBoxSetLayout`.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Box
     | +----ButtonBox
     | +----VButtonBox

# Types

data VButtonBox

Instances

Eq VButtonBox |
Ord VButtonBox |
GObjectClass VButtonBox |
VButtonBoxClass VButtonBox |
ButtonBoxClass VButtonBox |
BoxClass VButtonBox |
ContainerClass VButtonBox |
WidgetClass VButtonBox |
ObjectClass VButtonBox |

class ButtonBoxClass o => VButtonBoxClass o

Instances

VButtonBoxClass VButtonBox |

castToVButtonBox :: GObjectClass obj => obj -> VButtonBox

gTypeVButtonBox :: GType

toVButtonBox :: VButtonBoxClass o => o -> VButtonBox

# Constructors

vButtonBoxNew :: IO VButtonBox

Creates a new vertical button box.